%define oname gst-transcoder

%define api 1.0
%define major 0
%define libname %mklibname gsttranscoder %{api} %{major}
%define girname %mklibname gsttranscoder-gir %{api}
%define devname %mklibname gsttranscoder %{api} -d

Summary:	GStreamer Transcoding API
Name:		gstreamer%{api}-transcoder
Version:	1.12.1
Release:	1
License:	LGPLv2+
Group:		Video
Url:		https://github.com/pitivi/%{name}
Source0:	https://github.com/pitivi/%{name}/archive/%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-%{api})
BuildRequires:	pkgconfig(gstreamer-plugins-base-%{api})

%description
GStreamer Transcoding API.

%files
%{_bindir}/%{oname}-%{api}
%{_libdir}/gstreamer-%{api}/libgsttranscode.so
%{_datadir}/gstreamer-%{api}/encoding-profiles/*
#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{oname}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{oname}.

%files -n %{libname}
%{_libdir}/libgsttranscoder-%{api}.so.%{major}

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GstTranscoder-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	GStreamer Transcoding API development files
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the development files for %{oname}.

%files -n %{devname}
%{_includedir}/gstreamer-%{api}/gst/transcoder/
%{_libdir}/libgsttranscoder-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/GstTranscoder-%{api}.gir

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%setup_compile_flags
./configure \
	--prefix=%{_prefix}
%make

%install
%makeinstall_std


%changelog

* Thu Aug 24 2017 tremod <negry.m@yandex.ru> 1.12.1-1
- (96c76bf) Update to 1.12.2


